🎉 vox.ai 디스코드 커뮤니티가 새로 열렸어요! 참여하기 →
알림 규칙이 알림을 보낼 활성 시간대를 수정합니다.
curl --request PATCH \
--url https://client-api.tryvox.co/v3/alert-rules/{alert_rule_id}/schedule \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"active_schedule": {
"enabled": true,
"timezone": "<string>",
"windows": [
{
"days": [
"Monday"
],
"start_time": "<string>",
"end_time": "<string>"
}
]
}
}
'{
"id": "<string>",
"name": "<string>",
"metric_type": "call_count",
"labels": {},
"threshold_type": "absolute",
"comparison_op": "gt",
"threshold_value": 123,
"time_window": "1m",
"evaluation_frequency": "1m",
"enabled": true,
"status": "active",
"notification_channels": [
{
"type": "webhook"
}
],
"paused": true,
"created_at": 123,
"updated_at": 123,
"description": "<string>",
"active_schedule": {
"enabled": true,
"timezone": "<string>",
"windows": [
{
"days": [
"Monday"
],
"start_time": "<string>",
"end_time": "<string>"
}
]
},
"paused_until": 123,
"last_notified_at": 123
}Documentation Index
Fetch the complete documentation index at: https://docs.tryvox.co/llms.txt
Use this file to discover all available pages before exploring further.
조직 API 키를 Authorization: Bearer <token> 형식으로 보냅니다.
알림 규칙 ID입니다.
스케줄 수정 요청입니다. 스키마가 허용하는 필드는 null로 보내 스케줄을 해제할 수 있습니다.
알림 스케줄 수정.
활성 시간 스케줄. null = 스케줄 해제 (항상 활성).
Show child attributes
성공 응답
알림 규칙 단건 응답입니다.
알림 규칙의 고유 식별자입니다.
알림 규칙의 이름입니다.
모니터링 대상 메트릭 유형입니다.
call_count, concurrency, tool_call_count, api_call_count 메트릭 필터링에 사용되는 레이블 조건입니다.
임계값 비교 방식입니다.
absolute, relative 임계값 비교 연산자입니다.
gt, gte, lt, lte 알림을 발생시키는 임계값입니다.
메트릭 집계 시간 범위입니다.
1m, 5m, 15m, 30m, 1h, 4h, 8h, 1d 알림 규칙 평가 주기입니다.
1m, 5m, 15m, 30m, 1h, 4h, 8h, 1d 알림 규칙의 활성화 여부입니다.
파생된 단일 상태입니다. enabled/paused에서 도출합니다. 'disabled' = enabled=false, 'paused' = enabled=true AND paused=true, 'active' = 그 외. paused_until·active_schedule은 별도 필드로 유지됩니다.
active, disabled, paused 알림을 전송할 채널 목록입니다. webhook, email, slack 타입을 지원합니다.
webhook 알림 채널 응답입니다.
Show child attributes
알림 규칙의 일시정지 여부입니다.
리소스 생성 시각입니다. unix milliseconds 형식입니다.
리소스 마지막 수정 시각입니다. unix milliseconds 형식입니다.
알림 규칙에 대한 상세 설명입니다.
알림 규칙이 활성화되는 시간 스케줄입니다.
Show child attributes
알림 일시정지 해제 예정 일시입니다. unix timestamp (ms).
마지막으로 알림이 전송된 일시입니다. unix timestamp (ms).
Was this page helpful?
curl --request PATCH \
--url https://client-api.tryvox.co/v3/alert-rules/{alert_rule_id}/schedule \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"active_schedule": {
"enabled": true,
"timezone": "<string>",
"windows": [
{
"days": [
"Monday"
],
"start_time": "<string>",
"end_time": "<string>"
}
]
}
}
'{
"id": "<string>",
"name": "<string>",
"metric_type": "call_count",
"labels": {},
"threshold_type": "absolute",
"comparison_op": "gt",
"threshold_value": 123,
"time_window": "1m",
"evaluation_frequency": "1m",
"enabled": true,
"status": "active",
"notification_channels": [
{
"type": "webhook"
}
],
"paused": true,
"created_at": 123,
"updated_at": 123,
"description": "<string>",
"active_schedule": {
"enabled": true,
"timezone": "<string>",
"windows": [
{
"days": [
"Monday"
],
"start_time": "<string>",
"end_time": "<string>"
}
]
},
"paused_until": 123,
"last_notified_at": 123
}